tigase.server.bosh

## Enum BoshConnectionManager.BOSH_OPERATION_TYPE

- java.lang.Object
- - java.lang.Enum<BoshConnectionManager.BOSH_OPERATION_TYPE>
  - - tigase.server.bosh.BoshConnectionManager.BOSH_OPERATION_TYPE

- All Implemented Interfaces:
    Serializable, Comparable<BoshConnectionManager.BOSH_OPERATION_TYPE>
  Enclosing class:
    BoshConnectionManager

      protected static enum BoshConnectionManager.BOSH_OPERATION_TYPE
      extends Enum<BoshConnectionManager.BOSH_OPERATION_TYPE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATE`
    `INVALID_SID`
    `REMOVE`
    `TIMER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BoshConnectionManager.BOSH_OPERATION_TYPE` | `forName(String name)`
    `static BoshConnectionManager.BOSH_OPERATION_TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BoshConnectionManager.BOSH_OPERATION_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE

          public static final BoshConnectionManager.BOSH_OPERATION_TYPE CREATE

    - #### REMOVE

          public static final BoshConnectionManager.BOSH_OPERATION_TYPE REMOVE

    - #### INVALID_SID

          public static final BoshConnectionManager.BOSH_OPERATION_TYPE INVALID_SID

    - #### TIMER

          public static final BoshConnectionManager.BOSH_OPERATION_TYPE TIMER

  - ### Method Detail

    - #### values

          public static BoshConnectionManager.BOSH_OPERATION_TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BoshConnectionManager.BOSH_OPERATION_TYPE c : BoshConnectionManager.BOSH_OPERATION_TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BoshConnectionManager.BOSH_OPERATION_TYPE valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### forName

          public static BoshConnectionManager.BOSH_OPERATION_TYPE forName(String name)

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.